Get data assets by a list of DARNs
cURL
curl --request GET \ --url https://{hostname}.gable.ai/v0/data-assets/bulk \ --header 'X-API-KEY: <api-key>'
{ "data": [ { "darn": "<string>", "status": "success", "data": { "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "dataAssetResourceName": "<string>", "domain": "<string>", "path": "<string>", "type": "postgres", "updatedAt": "2023-11-07T05:31:56Z", "contractId": "<string>" }, "errorMessage": "<string>" } ], "totalCount": 123, "limit": 123, "offset": 123 }
List of Data Asset Resource Names to fetch
1
Maximum number of results to return (default is 1000)
1 <= x <= 1000
Number of results to skip (default is 0)
x >= 0
Data assets with status information for each DARN
Show child attributes
The Data Asset Resource Name that was requested
The status of fetching this particular asset
success
not_found
error
The asset data (only present when status is 'success')
The unique identifier for the data asset.
The unique identifier of the data asset. It follows the pattern '{data_asset_type}://{data_asset_source}:{data_asset_name}'
The domain to which the data asset belongs. Previously referred to as "namespace."
The name or path identifying the data asset. Previously referred to as "name."
The type of the source data asset, indicating its source or format (e.g., postgres, protobuf).
postgres
mysql
mssql
json_schema
avro
protobuf
python
pyspark
typescript
java
s3
dataframe
kotlin
swift
php
golang
The timestamp of the most recent update to the data asset.
The contract ID associated with the data asset.
Error message (only present when status is 'error' or 'not_found')
Total number of results available
Maximum number of results per page
Number of results skipped